com.mysql.cj.telemetry

## Class NoopTelemetrySpan

- java.lang.Object
- - com.mysql.cj.telemetry.NoopTelemetrySpan

All Implemented Interfaces:
  TelemetrySpan, AutoCloseable

    public class NoopTelemetrySpan
    extends Object
    implements TelemetrySpan

No-op implementation of `TelemetrySpan`.

### Field Summary

Fields
`private static NoopTelemetrySpan` `INSTANCE`

### Constructor Summary

Constructors
`private` `NoopTelemetrySpan()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NoopTelemetrySpan` `getInstance()`
`TelemetryScope` `makeCurrent()` Takes this telemetry span and makes it current in the global telemetry context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mysql.cj.telemetry.TelemetrySpan

`close, end, setAttribute, setAttribute, setError`

### Field Detail

#### INSTANCE

    private static NoopTelemetrySpan INSTANCE

### Constructor Detail

#### NoopTelemetrySpan

    private NoopTelemetrySpan()

### Method Detail

#### getInstance

    public static NoopTelemetrySpan getInstance()

#### makeCurrent

    public TelemetryScope makeCurrent()

Description copied from interface: `TelemetrySpan`
Takes this telemetry span and makes it current in the global telemetry context.

Specified by:
  `makeCurrent` in interface `TelemetrySpan`
Returns:
  an `AutoCloseable` telemetry scope that represents the current telemetry context.

Copyright © 2016, 2024, Oracle and/or its affiliates.